# Uses of Interface
org.eclipse.core.commands.ICommandListener

Packages that use ICommandListener
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.

## Uses of ICommandListener in org.eclipse.core.commands

Classes in org.eclipse.core.commands that implement ICommandListener
Modifier and Type
Class
Description
`final class`
`CommandManager`
A central repository for commands -- both in the defined and undefined states.
Methods in org.eclipse.core.commands with parameters of type ICommandListener
Modifier and Type
Method
Description
`void`
Command.`addCommandListener(ICommandListener commandListener)`
Adds a listener to this command that will be notified when this command's state changes.
`void`
Command.`removeCommandListener(ICommandListener commandListener)`
Removes a listener from this command.